<?php
/**
 * The Video script to navigate categories.
 *
  * Copyright 2007 Duck <duck@obala.net>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/video/LICENSE.
 *
 * $Horde: incubator/video/admin/index.php,v 1.2 2007/06/04 10:01:17 duck Exp $
 */

@define('VIDEO_BASE', dirname(__FILE__) . '/..');
require_once VIDEO_BASE . '/lib/base.php';
require 'tabs.php';

$title = _("Videos wainting approval");

if (($id = Util::getGet('id')) !== null) {
    $result = $video->convertFile($id, 'approve');
    if ($result instanceof PEAR_Error) {
        $notification->push($result->getMessage(), 'horde.error');
    } else {
        $notification->push(sprintf(_("Video id %s was approved"), $id), 'horde.success');
    }
}

$videos = $video->listVideos(array('status' => VIDEO::WAITING));
if ($videos instanceof PEAR_Error) {
    $notification->push($videos->getMessage(), 'horde.error');
    $videos = array();
}

$view = new Video_View();
$view->videos = $videos;
$view->categories = $video_cat->getCategories();
$view->approve_url = Horde::applicationUrl('admin/approve.php');

Horde::addScriptFile('tables.js', 'horde', true);
require VIDEO_TEMPLATES . '/common-header.inc';
require VIDEO_TEMPLATES . '/menu.inc';

echo $tabs->render();
echo $view->render('/admin/approve.php');

require $registry->get('templates', 'horde') . '/common-footer.inc';
