<?php
/**
 * The Video script to delete a category.
 *
 * Copyright 2007 - 2007 Duck <duck@obala.net>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/video/LICENSE.
 *
 * $Horde: incubator/video/admin/categories/delete.php,v 1.5 2007/06/25 15:17:08 duck Exp $
 */
@define('VIDEO_BASE', dirname(__FILE__) . '/../..');
require_once VIDEO_BASE . '/lib/base.php';
require '../tabs.php';

$vars = &Variables::getDefaultVariables();
$form = new Horde_Form($vars, _("Do you really wont to delete this category?"), 'delete');
$form->setButtons(array(_("Remove"), _("Cancel")));

$category_id = Util::getFormData('category_id');
$form->addHidden('', 'category_id', 'int', $category_id);

if ($form->validate()) {
    if (Util::getFormData('submitbutton') == _("Remove")) {
        $result = $video_cat->deleteCategory($category_id);
        if ($result instanceof PEAR_Error) {
            $notification->push(_("Category was not deleted.") . ' ' . $result->getMessage(), 'horde.error');
        } else {
            $notification->push(_("Category deleted."), 'horde.success');
        }
    } else {
        $notification->push(_("Category was not deleted."), 'horde.warning');
    }
    header('Location: ' . Horde::applicationUrl('admin/categories/index.php'));
    exit;
}

require VIDEO_TEMPLATES . '/common-header.inc';
require VIDEO_TEMPLATES . '/menu.inc';
echo $tabs->render('categories');
$form->renderActive(null, null, null, 'post');
require $registry->get('templates', 'horde') . '/common-footer.inc';
