<?php
/**
 * The Video script to edit categories.
 *
 * Copyright 2007 Duck <duck@obala.net>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/video/LICENSE.
 *
 * $Horde: incubator/video/admin/categories/edit.php,v 1.4 2007/06/24 14:14:16 duck Exp $
 */

@define('VIDEO_BASE', dirname(__FILE__) . '/../..');
require_once VIDEO_BASE . '/lib/base.php';
require '../tabs.php';

$category_id = Util::getFormData('category_id');
$title = !empty($seller_id) ? _("Edit category") : _("Add category");
$vars = Variables::getDefaultVariables();
$form = new Horde_Form($vars, $title, 'editcategory');

if ($category_id && !$form->isSubmitted()) {
    $categories = $video_cat->getCategories(false);
    $vars->set('category_name', $categories[$category_id]['category_name']);
    $vars->set('category_parentid', $categories[$category_id]['category_parentid']);
    $vars->set('category_description', $categories[$category_id]['category_description']);
}

$form->addHidden('', 'category_id', 'int', $category_id);
$form->addVariable(_("Name"), 'category_name', 'text', true);
$form->addVariable(_("Description"), 'category_description', 'text', false);
$form->addVariable(_("Parent"), 'category_parentid', 'radio', false, false, null, array($video_cat->getCategories(), true));

$v = &$form->addVariable(_("Resize Image"), 'image_resize', 'boolean', false);
$v->setDefault(true);
$form->addVariable(_("Image"), 'image', 'image', false);

if ($form->validate()) {
    $form->getInfo(null, $info);
    $result = $video_cat->saveCategory($info);
    if ($result instanceof PEAR_Error) {
        $notification->push($result->getMessage() . ': ' . $result->getDebugInfo(), 'horde.error');
    } else {
        $notification->push(sprintf(_("Category succesfully saved.")));
        $url = Horde::applicationUrl('admin/categories/index.php', true);
        header('Location: ' . $url);
        exit;
    }
}

require VIDEO_TEMPLATES . '/common-header.inc';
require VIDEO_TEMPLATES . '/menu.inc';
echo $tabs->render('categories');
$form->renderActive(null, null, null, 'post');
require $registry->get('templates', 'horde') . '/common-footer.inc';
