<?php
/**
 * The Video script to navigate categories.
 *
  * Copyright 2007 Duck <duck@obala.net>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/video/LICENSE.
 *
 * $Horde: incubator/video/admin/categories/index.php,v 1.4 2007/06/24 14:14:16 duck Exp $
 */

@define('VIDEO_BASE', dirname(__FILE__) . '/../..');
require_once VIDEO_BASE . '/lib/base.php';
require '../tabs.php';

// Get category list
$categories = $video_cat->getCategories(false);
if ($categories instanceof PEAR_Error) {
    $notification->push($categories->getMessage(), 'horde.error');
    $categories = array();
}

// Purge fields cache
$category_id = Util::getGet('category_id');
if ($category_id) {
    $form_id = $categories[$category_id]['category_form'];
    $cache->get('videoFormFields' . $form_id);
}

/* Set up the template fields. */
$title = _("Category Administration");
$edit_url = Horde::applicationUrl('admin/categories/edit.php');
$edit_img = Horde::img('edit.png', _("Edit"), '', $registry->getImageDir('horde'));
$delete_url = Horde::applicationUrl('admin/categories/delete.php');
$delete_img = Horde::img('delete.png', _("Delete"), '', $registry->getImageDir('horde'));
$view_url = Horde::applicationUrl('list.php');
$view_img = Horde::img('category.png', _("View items"), '', $registry->getImageDir('horde'));
$refresh_url = Horde::applicationUrl('admin/categories/index.php');
$refresh_img = Horde::img('reload.png', _("Purge cache"), '', $registry->getImageDir('horde'));

foreach ($categories as $category_id => $category) {
    $categories[$category_id]['actions'][] = Horde::link(Util::addParameter($view_url, 'ad_category', $category_id), _("View items")) .
                                    $view_img . '</a>';
    $categories[$category_id]['actions'][] = Horde::link(Util::addParameter($delete_url, 'category_id', $category_id), _("Delete")) .
                                    $delete_img . '</a>';
    $categories[$category_id]['actions'][] = Horde::link(Util::addParameter($edit_url, 'category_id', $category_id), _("Edit")) .
                                     $edit_img . '</a>';
    $categories[$category_id]['actions'][] = Horde::link(Util::addParameter($refresh_url, 'category_id', $category_id), _("Purge cache")) .
                                    $refresh_img . '</a>';
}

$view = new Video_View();
$view->categories = $categories;
$view->add_url = Horde::link($edit_url, _("Add New")) . _("Add New") . '</a>';

Horde::addScriptFile('tables.js', 'horde', true);
require VIDEO_TEMPLATES . '/common-header.inc';
require VIDEO_TEMPLATES . '/menu.inc';
echo $tabs->render('categories');
echo $view->render('/categories/index.php');
require $registry->get('templates', 'horde') . '/common-footer.inc';
