<?php
/**
 * The Video script to navigate categories.
 *
  * Copyright 2007 Duck <duck@obala.net>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/video/LICENSE.
 *
 * $Horde: incubator/video/admin/index.php,v 1.2 2007/06/04 10:01:17 duck Exp $
 */

@define('VIDEO_BASE', dirname(__FILE__) . '/..');
require_once VIDEO_BASE . '/lib/base.php';
require_once VIDEO_BASE . '/lib/Forms/Manage.php';
require 'tabs.php';

$id = Util::getFormData('id');
$movie = $video->getVideo($id);
if ($movie['status'] != Video::PROCESSING) {
    $notification->push(sprintf(_("Video %d (%s) was already processed"), $id, $movie['title']), 'horde.warning');
}

// steps
$enum = array(
    'convert' => _("Convert movie to flv"),
    'thumbnails' => _("Create thumbnails"),
    'flvfix' => _("FLV fix video"),
    'view' => _("View video"),
    'approve' => _("Approve"),
);

$vars = Variables::getDefaultVariables();
$form = new Video_Manage($vars, _("Process"), 'process');
$v = $form->addVariable(_("Step"), 'step', 'radio', true, false, null, array($enum));
$v->setDefault('convert');
$form->setButtons(_("Continue"));

if ($form->validate()) {
    $result = $video->convertFile($id, $vars->get('step'));
    $form->addVariable($result, 'result', 'description', false);
    if ($vars->get('step') == 'view') {
        header('Location: ' . Util::addParmaeter(Horde::applicationUrl('admin/view.php'), 'id', $id));
        exit;
    }
}

require VIDEO_TEMPLATES . '/common-header.inc';
require VIDEO_TEMPLATES . '/menu.inc';
$form->renderActive(null, null, null, 'post');
require $registry->get('templates', 'horde') . '/common-footer.inc';