<?php
/**
 * The Video script to navigate categories.
 *
  * Copyright 2007 Duck <duck@obala.net>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/video/LICENSE.
 *
 * $Horde: incubator/video/admin/index.php,v 1.2 2007/06/04 10:01:17 duck Exp $
 */

@define('VIDEO_BASE', dirname(__FILE__) . '/..');
require_once VIDEO_BASE . '/lib/base.php';
require 'tabs.php';

$title = _("Videos wainting processing");

$videos = $video->listVideos(array('status' => VIDEO::PROCESSING));
if ($videos instanceof PEAR_Error) {
    $notification->push($videos->getMessage(), 'horde.error');
    $videos = array();
}

$view = new Video_View();
$view->videos = $videos;
$view->categories = $video_cat->getCategories();
$view->process_url = Horde::applicationUrl('admin/process.php');

Horde::addScriptFile('tables.js', 'horde', true);
require VIDEO_TEMPLATES . '/common-header.inc';
require VIDEO_TEMPLATES . '/menu.inc';

echo $tabs->render();
echo $view->render('/admin/processing.php');

require $registry->get('templates', 'horde') . '/common-footer.inc';
