<?php
/**
 * Abstract class for Video_Convert to get private constructs out
 * of video convertion.
 *
 * @category Horde
 * @package Video_Convert
 */
abstract class Video_Convert {

    /**
     * Cache of params
     *
     * @var array
     */
    protected $_params = array();

    /**
     * Constructor.
     *
     * @param array $config Configuration key-value pairs.
     */
    public function __construct($params = array())
    {
        $this->_params = $params;
    }

    /**
     * Factory
     */
    static function factory($driver = null, $params = array())
    {
        if ($driver === null) {
            $driver = $GLOBALS['conf']['converting']['driver'];
        }

        if (empty($params)) {
            $params = $GLOBALS['conf']['converting']['params'];
        }

        $class_name = 'Video_Convert_' . $driver;
        require_once VIDEO_BASE . '/lib/Convert/' . $driver . '.php';
        return new $class_name($params);
    }

    /**
     * Fix flv video tags
     */
    public function fix($input)
    {
        $cmd = sprintf($this->_params['flvfix_cmd'], $input);
        return $cmd . "\n" . shell_exec($cmd);
    }

    /**
     * Convert input file to flv
     */
    abstract public function convert($input, $output);

    /**
     * Extract thumbnails from video
     */
    abstract public function thumbnails($input, $path);

    /**
     * Get video info
     */
    abstract public function info($input);
}