<?php
/**
 * ffmpeg implementation of Video_Convert
 *
 * @category Horde
 * @package Video_Convert
 */
class Video_Convert_ffmpeg extends Video_Convert {

    public function convert($input, $output)
    {
        $cmd = sprintf($this->_params['conv_cmd'], $input, $output);
        return $cmd . "\n" . shell_exec($cmd);
    }

    /**
    * TODO : IMPLEMENT FRAMESET PERIODS
    **/
    public function thumbnails($input, $path)
    {
        $info = $this->info($input);

        if ($info['fps']) {
            $framestep = (int)($info['lenght']/$this->_params['thumb_num'])*$info['fps'];
        } else {
            $framestep = 100;
        }

        $cmd = sprintf($this->_params['thumb_cmd'], $input, $this->_params['thumb_num'], $path);

        return "\n" . $cmd . "\n" . shell_exec($cmd);
    }

    public function info($input)
    {
        $tmp_out = Horde::getTempFile('video');
        $cmd = sprintf($this->_params['identify_cmd'], $input, $tmp_out);
        exec($cmd);
        $result = file($tmp_out);

        $info = array();
        foreach ($result as $line) {
            $id = 'Duration: ';
            if (($d = strpos($line, $id)) !== false) {
                $lenght = substr($line, $d + strlen($id),  8);
                list($h, $m, $s) = explode(':', $lenght);
                $h = $h * 3600;
                $m = $m * 60;
                $s = (int)$s;
                $video_data['lenght'] = $h + $m + $s;
                continue;
            }

            $id = 'fps';
            if (($d = strpos($line, $id)) !== false) {
                $video_data['fps'] = (float)substr($line, strrpos($line, ',') + 1);
                continue;
            }
        }

        return $video_data;
    }

}