<?php
/**
 * Mplayer implementation of Video_Convert
 *
 * @category Horde
 * @package Video_Convert
 */
class Video_Convert_mplayer extends Video_Convert {

    public function convert($input, $output)
    {
        $cmd = sprintf($this->_params['conv_cmd'], $output, $input);
        return $cmd . "\n" . shell_exec($cmd);
    }

    public function thumbnails($input, $path)
    {
        $info = $this->info($input);

        if ($info['fps']) {
            $framestep = (int)($info['lenght']/$this->_params['thumb_num'])*$info['fps'];
        } else {
            $framestep = 100;
        }

        $cmd = sprintf($this->_params['thumb_cmd'], $framestep, $input, $path);
        return $cmd . "\n" . shell_exec($cmd);
    }

    public function info($input)
    {
        $video_data = array();
        $cmd = sprintf($this->_params['identify_cmd'], $input);
        $result = shell_exec($cmd);
        $data = explode("\n", $result);
        foreach ($data as $info) {
            $info = trim($info);
            if (empty($info)) {
                continue;
            }
            $key = substr($info, 0, 9);
            if ($key == 'ID_VIDEO_') {
                $p = explode('=', $info);
                $video_data[strtolower(substr($p[0], 9))] = $p[1];
            } elseif ($key == 'ID_LENGTH') {
                $video_data['lenght'] = (float)substr($info, 10);
            }
        }

        return $video_data;
    }

}