<?php

require_once 'Horde/Form.php';
require_once 'Horde/Variables.php';

/**
 * $Horde: video/list.php,v 1.10 2007/02/21 10:25:28 jan Exp $
 *
 * Copyright 2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Duck <duck@obala.net>
 */

class Video_Form extends Horde_Form {

    function __construct($vars, $title = '', $name = 'edit_form')
    {
        parent::Horde_Form($vars, $title, $name);

        $this->addVariable(_("Title"), 'title', 'text', true);
        $this->addVariable(_("Description"), 'description', 'longtext', true);

        $enum_vars = array($GLOBALS['video_cat']->getEnum(), _("Choose a category"));
        $this->addVariable(_("Category"), 'category', 'enum', true, false, null, $enum_vars);
        $this->addVariable(_("Tags"), 'tags', 'text', false);
       	$this->addVariable(_("Video file"), 'video_file', 'file', !$vars->get('id'));
        $this->addHidden(_("ID"), 'id', 'int', false);
        if ($GLOBALS['conf']['video']['embed']) {
            $v = $this->addVariable(_("Embed"), 'embed', 'boolean', false);
            $v->setDefault(true);
        } else {
            $this->addHidden(_("Embed"), 'embed', 'boolean', false);
        }
    }

}
