<?php
/**
 * Video api
 *
 * Copyright 2007 Duck <duck@obala.net>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/video/LICENSE.
 *
 * $Horde:$
 *
 * @author Duck <duck@obala.net>
 * @package Video
 */

$_services['perms'] = array(
    'args' => array(),
    'type' => '{urn:horde}stringArray'
);

$_services['commentCallback'] = array(
    'args' => array('id' => 'string'),
    'type' => 'string'
);

$_services['hasComments'] = array(
    'args' => array(),
    'type' => 'boolean'
);

/**
* Categories/Permissions
*/
function _video_perms()
{
    static $perms = array();
    if (!empty($perms)) {
        return $perms;
    }

    $perms['tree']['agora']['admin'] = true;
    $perms['title']['agora:admin'] = _("Admin");

    $perms['tree']['agora']['editors'] = true;
    $perms['title']['agora:editors'] = _("Editors");

    require_once dirname(__FILE__) . '/base.php';
    $tree = $GLOBALS['video_cat']->getEnum();

    $perms['title']['video:categories'] = _("Categories");
    foreach ($tree as $cat_id => $cat_name) {
        $perms['tree']['video']['categories'][$cat_id] = false;
        $perms['title']['video:categories:' . $cat_id] = $cat_name;
    }

    return $perms;
}

/**
* Callback for comment API
*
* @param int $id      Internal data identifier
* @param string $type Type of data to retreive (title, owner...)
*/
function _video_commentCallback($id, $type = 'title', $params = null)
{
    static $info;

    if (!empty($info[$id][$type])) {
        return $info[$id][$type];
    }

    require_once dirname(__FILE__) . '/base.php';

    $movie = $GLOBALS['video']->getVideo($id);
    if ($movie instanceof PEAR_Error) {
        return $movie;
    }

    switch ($type) {

    case 'owner':
        return $movie['user'];

    case 'messages':
        $GLOBALS['video']->updateComments($id, $params);
        return true;

    default:
        $info[$id][$type] = $movie['title'];
        return $movie['title'];
    }
}

function _video_hasComments()
{
    return $GLOBALS['conf']['comments']['allow'];
}
