<?php
/**
 * Video base application file.
 *
 * $Horde: video/lib/base.php,v 1.16 2007/02/21 10:25:28 jan Exp $
 *
 * This file brings in all of the dependencies that every Video script will
 * need, and sets up objects that all scripts use.
 */

// Check for a prior definition of HORDE_BASE (perhaps by an auto_prepend_file
// definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry.
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('video', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect();
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('VIDEO_TEMPLATES', $registry->get('templates'));

// Notification system.
$notification = &Notification::singleton();
$notification->attach('status');

// Define the base file path of Video.
@define('VIDEO_BASE', dirname(__FILE__) . '/..');

// Cache
require_once 'Horde/Cache.php';
$GLOBALS['cache'] = &Horde_Cache::singleton($GLOBALS['conf']['cache']['driver'],
                                            Horde::getDriverConfig('cache', $GLOBALS['conf']['cache']['driver']));

// Video base library
require_once VIDEO_BASE . '/lib/Video.php';
require_once VIDEO_BASE . '/lib/View.php';
require_once VIDEO_BASE . '/lib/Categories.php';
$GLOBALS['video'] = new Video;
$GLOBALS['video_cat'] = new Video_Categories;

// Start output compression.
Horde::compressOutput();
