<?php
/**
 * The Classified script to delete a ad.
 *
 * Copyright 2007 Duck <duck@obala.net>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/classified/LICENSE.
 *
 * $Horde: incubator/classified/ads/delete.php,v 1.7 2007/08/31 08:57:30 duck Exp $
 */

@define('VIDEO_BASE', dirname(__FILE__) . '/..');
require_once VIDEO_BASE . '/lib/base.php';
require_once VIDEO_BASE . '/lib/Forms/Manage.php';

/* Only adss should be using this. */
if (!Auth::isAuthenticated()) {
    Horde::authenticationFailureRedirect();
}

$vars = Variables::getDefaultVariables();
$form = new Video_Manage($vars, _("Do you really wont to delete this video?"), 'delete');
$form->setButtons(array(_("Remove"), _("Cancel")));

$id = Util::getFormData('id');
$admin = Util::getFormData('admin');
$form->addHidden('', 'admin', 'int', $admin);

if ($form->validate()) {
    if (Util::getFormData('submitbutton') == _("Remove")) {
        $video->deleteVideo($id);
        if ($result instanceof PEAR_Error) {
            $notification->push(_("Video was not deleted.") . ' ' . $result->getMessage(), 'horde.error');
        } else {
            $notification->push(_("Video deleted."), 'horde.success');
        }
    } else {
        $notification->push(_("Video was not deleted."), 'horde.warning');
    }
    if ($admin) {
        header('Location: ' . Horde::applicationUrl('admin/inactive.php'));
    } else {
        header('Location: ' . Horde::applicationUrl('videos/index.php'));
    }
    exit;
}

require VIDEO_TEMPLATES . '/common-header.inc';
require VIDEO_TEMPLATES . '/menu.inc';
$form->renderActive(null, null, null, 'post');
require $registry->get('templates', 'horde') . '/common-footer.inc';
