<?php
/**
 * $Horde: incubator/video/videos/index.php,v 1.9 2007/08/30 09:08:47 duck Exp $
 *
 * Copyright 2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Duck <duck@obala.net>
 */

@define('VIDEO_BASE', dirname(__FILE__)  . '/..');
require_once VIDEO_BASE . '/lib/base.php';

/* Only adss should be using this. */
if (!Auth::isAuthenticated()) {
    Horde::authenticationFailureRedirect();
}

$title = _("My videos");

/* Set up the template fields. */
$videos = $video->getUserVideos();
if ($videos instanceof PEAR_Error) {
    $notification->push($videos->getMessage() . ': ' . $videos->getDebugInfo(), 'horde.error');
    $videos = array();
} elseif (empty($videos)) {
    $notification->push(_("You have no videos. Upload one."), 'horde.warning');
    header('Location: ' . Horde::applicationUrl('videos/edit.php'));
    exit;
}

$edit_url = Horde::applicationUrl('videos/edit.php');
$edit_img = Horde::img('edit.png', _("Edit"), '', $registry->getImageDir('horde'));
$delete_url = Horde::applicationUrl('videos/delete.php');
$delete_img = Horde::img('delete.png', _("Delete"), '', $registry->getImageDir('horde'));
$view_url = Horde::applicationUrl('video.php');
$view_img = Horde::img('video.png', _("View video"));
$perms_url = Horde::applicationUrl('videos/perms.php');
$perms_img = Horde::img('perms.png', _("Permissions"), '', $registry->getImageDir('horde'));

foreach ($videos as $id => $data) {
    $videos[$id]['actions'][] = Horde::link(Util::addParameter($view_url, 'id', $id), _("View video")) .
                                $view_img . '</a>';
    $videos[$id]['actions'][] = Horde::link(Util::addParameter($delete_url, 'id', $id), _("Delete")) .
                                $delete_img . '</a>';
    $videos[$id]['actions'][] = Horde::link(Util::addParameter($edit_url, 'id', $id), _("Edit")) .
                                $edit_img . '</a>';
    $videos[$id]['actions'][] = Horde::link(Util::addParameter($perms_url, 'id', $id), _("Edit permissions"), '', '_perms') .
                                $perms_img . '</a>';
}

$view = new Video_View();
$view->videos = $videos;
$view->categories = $video_cat->getCategories();
$view->noimage = Horde::img('image.png', _("Doesn't have an image"), '', $registry->getImageDir('horde'));
$view->video_url = $view_url;

Horde::addScriptFile('tables.js', 'horde', true);
require VIDEO_TEMPLATES . '/common-header.inc';
require VIDEO_TEMPLATES . '/menu.inc';
echo $view->render('/videos/index.php');
require $registry->get('templates', 'horde') . '/common-footer.inc';
